## net.htmlparser.jericho
Class FormControlOutputStyle.ConfigDisplayValue

    java.lang.Object
      net.htmlparser.jericho.FormControlOutputStyle.ConfigDisplayValue

Enclosing class:
  FormControlOutputStyle

    public static final class FormControlOutputStyle.ConfigDisplayValue

extends Object

Contains static properties that configure the `FormControlOutputStyle.DISPLAY_VALUE` form control output style.

None of the properties should be assigned a `null` value.

See the documentation of the `FormControlOutputStyle.DISPLAY_VALUE` output style for details on how these properties are used.

Field Summary
`static List<String>` `AttributeNames` Defines the names of the attributes that are copied from the normal form control output element to a display value element.
`static String` `CheckedHTML` Defines the HTML which replaces the normal output element of a `CHECKBOX` or `RADIO` form control if it contains a `checked` attribute.
`static String` `ElementName` Defines the name of display value elements.
`static String` `EmptyHTML` Defines the content of a display value element if the submission value of the control is `null` or an empty string.
`static String` `MultipleValueSeparator` Defines the text that is used to separate multiple values in a display value element.
`static char` `PasswordChar` Defines the character used to represent the value of a `PASSWORD` form control in a display value element.
`static String` `UncheckedHTML` Defines the HTML which replaces the normal output element of a `CHECKBOX` or `RADIO` form control if it does not contain a `checked` attribute.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MultipleValueSeparator

    public static volatile String MultipleValueSeparator

  Defines the text that is used to separate multiple values in a display value element.

  This property is only relevant to `SELECT_MULTIPLE` form controls, and is only used if multiple items in the control are selected.

  The default value is "`,` ".

### ElementName

    public static volatile String ElementName

  Defines the name of display value elements.

  The default value is "`div`".

  Although all form control elements are inline-level elements, the default replacement is the block-level `DIV` element, which allows richer stylesheet formatting than the most common alternative, the `SPAN` element, such as the ability to set its `width` and `height`.

  This has the undesired effect in some cases of displaying the value on a new line, whereas the original form control was not on a new line. In practical use however, many form controls are placed inside table cells for better control over their positioning. In this case replacing the original inline form control with the block `DIV` element does not alter its position.

### AttributeNames

    public static volatile List<String> AttributeNames

  Defines the names of the attributes that are copied from the normal form control output element to a display value element.

  The names included in the list by default are "`id`", "`class`" and "`style`".

  These attributes are usually all that is needed to identify the elements in style sheets or specify the styles directly.

  The default list is modifiable.

### EmptyHTML

    public static volatile String EmptyHTML

  Defines the content of a display value element if the submission value of the control is `null` or an empty string.

  The content is not encoded before output.

  The default content is "`&nbsp;`".

### PasswordChar

    public static volatile char PasswordChar

  Defines the character used to represent the value of a `PASSWORD` form control in a display value element.

  The character is repeated n times, where n is the number of characters in the control's submission value.

  The resulting string is encoded before output.

  The default password character is '`*`'.

### CheckedHTML

    public static volatile String CheckedHTML

  Defines the HTML which replaces the normal output element of a `CHECKBOX` or `RADIO` form control if it contains a `checked` attribute.

  If this property is `null`, the output element is simply a disabled version of the form control.

  The HTML is not encoded before output.

  The default value is `null`.

### UncheckedHTML

    public static volatile String UncheckedHTML

  Defines the HTML which replaces the normal output element of a `CHECKBOX` or `RADIO` form control if it does not contain a `checked` attribute.

  If this property is `null`, the output element is simply a disabled version of the form control.

  The HTML is not encoded before output.

  The default value is `null`.